package com.ruoyi.web.app;

import com.ruoyi.bst.article.domain.ArticleVO;
import com.ruoyi.bst.article.service.ArticleService;
import com.ruoyi.bst.articleCategory.domain.ArticleCategoryQuery;
import com.ruoyi.bst.articleCategory.domain.ArticleCategoryVO;
import com.ruoyi.bst.articleCategory.domain.enums.ArticleCategoryStatus;
import com.ruoyi.bst.articleCategory.service.ArticleCategoryService;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;


@RestController
@RequestMapping("/app/articleCategory")
public class AppAtricleCategoryController extends BaseController {

    @Autowired
    private ArticleCategoryService articleCategoryService;

    @Autowired
    private ArticleService articleService;

    @ApiOperation("帮助中心")
    @GetMapping
    @Anonymous
    public TableDataInfo getCategoryList(ArticleCategoryQuery query) {
        startPage();
        query.setCategoryStatus(ArticleCategoryStatus.ENABLED.getCode());

        //查询分类的文章
        List<ArticleCategoryVO> list = articleCategoryService.selectArticleCategoryList(query);
        list.forEach(articleCategoryVO -> {
            ArticleVO children = articleService.selectChildrenByCategoryId(articleCategoryVO.getId());
            List<ArticleVO> childrenList = new ArrayList<>();
            if (children != null) {
                childrenList.add(children);
            }
            articleCategoryVO.setChildren(childrenList);
        });
        return getDataTable(list);
    }
}
